<?php

/*
Installing the ad mod for the first time
*/
global $smcFunc;

$smcFunc['db_query']('', "
CREATE TABLE IF NOT EXISTS {db_prefix}ads (
ADS_ID mediumint(8) unsigned NOT NULL auto_increment,
NAME tinytext NOT NULL,
CONTENT text NOT NULL,
BOARDS tinytext,
POSTS tinytext,
CATEGORY tinytext,
HITS mediumint(8) NOT NULL default '0',
TYPE smallint(4) NOT NULL default '0',
show_index smallint(4) NOT NULL default '0',
show_board smallint(4) NOT NULL default '0',
show_threadindex smallint(4) NOT NULL default '0',
show_lastpost smallint(4) NOT NULL default '0',
show_thread smallint(4) NOT NULL default '0',
show_bottom smallint(4) NOT NULL default '0',
show_welcome smallint(4) NOT NULL default '0',
show_topofpage smallint(4) NOT NULL default '0',
show_towerright smallint(4) NOT NULL default '0',
show_towerleft smallint(4) NOT NULL default '0',
show_betweencategories smallint(4) NOT NULL default '0',
show_underchildren smallint(4) NOT NULL default '0',
PRIMARY KEY (ADS_ID)
)");

$smcFunc['db_query']('', "
CREATE TABLE IF NOT EXISTS {db_prefix}ads_settings (
  variable tinytext NOT NULL,
  value text NOT NULL,
  PRIMARY KEY (variable(30))
)");

/*
If you've already had the mod installed this will just make sure that you have the most current version of the database
*/
$result = $smcFunc['db_query']('', "SHOW COLUMNS FROM {db_prefix}ads LIKE 'show_lastpost'");
if ($smcFunc['db_fetch_assoc']($result) == 0)
	$smcFunc['db_query']('',"
		ALTER IGNORE TABLE {db_prefix}ads
		ADD	show_lastpost smallint(4) NOT NULL default '0' AFTER show_threadindex");

$result = $smcFunc['db_query']('', "SHOW COLUMNS FROM {db_prefix}ads LIKE 'CATEGORY'");
if ($smcFunc['db_fetch_assoc']($result) == 0)	
	$smcFunc['db_query']('',"
		ALTER IGNORE TABLE {db_prefix}ads
		ADD	CATEGORY tinytext AFTER POSTS");

$result = $smcFunc['db_query']('', "SHOW COLUMNS FROM {db_prefix}ads LIKE 'show_underchildren'");
if ($smcFunc['db_fetch_assoc']($result) == 0)		
	$smcFunc['db_query']('',"
		ALTER IGNORE TABLE {db_prefix}ads
		ADD	show_underchildren smallint(4) NOT NULL default '0'");

	
/*
Inserts into the settings table
*/
$smcFunc['db_query']('', "
INSERT IGNORE INTO {db_prefix}settings
	(variable, value)
VALUES ('ads_displayAdsAdmin', '0'),
	('ads_updateReports', '0'),
	('ads_quickDisable', '0'),
	('ads_lookLikePosts', '1')");
?>
